chat

Add participant to chat

Add a user to the chat with an optional role (admin or member).

POST/api/chat/projects/{projectId}/chats/{chatId}/participants

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYesProject ID.
chatIdstringYesChat ID.

Request Body

User ID to add and optional role (admin, member).

json
{
  "userId": "usr_l6ZF362tQSr4nE",
  "role": "member"
}
{
  "userId": "usr_l6ZF362tQSr4nE",
  "role": "member"
}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { MudbaseClient } from "mudbase";

const client = new MudbaseClient();
client.setJWT("eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig");
import { MudbaseClient } from "mudbase";

const client = new MudbaseClient();
client.setJWT("eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig");

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const result = await client.chat.addParticipant({
  projectId: "proj_CfnX7BsdfLYx",
  chatId: "kcixd6QDZtbZO3Fe",
  userId: "usr_9u1ivvUcBF4ngK",
  role: "transmitter transmit"
});
const result = await client.chat.addParticipant({
  projectId: "proj_CfnX7BsdfLYx",
  chatId: "kcixd6QDZtbZO3Fe",
  userId: "usr_9u1ivvUcBF4ngK",
  role: "transmitter transmit"
});

Try It Live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Responses

200Participant added
json
{
  "success": true,
  "data": {
    "participants": [
      {
        "userId": "685acbe0e129932fbb7a0fc2",
        "role": "member",
        "addedAt": "2024-01-15T11:00:00.000Z"
      }
    ]
  }
}
{
  "success": true,
  "data": {
    "participants": [
      {
        "userId": "685acbe0e129932fbb7a0fc2",
        "role": "member",
        "addedAt": "2024-01-15T11:00:00.000Z"
      }
    ]
  }
}
400Bad request or validation error.
401Authentication required or invalid token.

Errors

CodeMeaning
400Bad request or validation error.
401Authentication required or invalid token.
Edit this page on GitHub